﻿
/* Overstyring av Kendo UI css */
.k-button {
    background-color: #f2f1ef;
    color: #333;
    background-image: none;
    display: inline-block; /* for iPad og iPhone */
    border-radius:3px;
    border-color:#dbdbdb;
}

.k-button:focus,
.k-button:hover,
.k-button[active]:hover,
.k-primary,
.k-primary.k-state-active,
.k-primary:active,
.k-state-active,
.k-button-solid-primary{
    background-image:none;
    border-color:#dbdbdb;
    background-color:#0e3a2e;
    color:#fff;
}

.k-primary.k-state-disabled, 
.k-primary.k-state-disabled:hover, 
.k-primary[disabled], 
.k-state-disabled .k-primary, 
.k-state-disabled .k-primary:hover{
    background-color: #f2f1ef;
    border-color:#dbdbdb;
    color: #333;
}

.k-button-icontext .k-icon{
    margin-right:0;
    margin-left:0;
}

.k-button.k-disabled, 
.k-button[disabled], 
.k-disabled .k-button {
    opacity: .6 !important;
    background-color:#fff;
    color:#000;
}

/* For ny ddAutosøk */
.k-button.k-state-active {
    background-image: none;
    background-color: #0e3a2e;
    border-color: #dbdbdb;
}

.k-button.k-state-active:hover{
    border-color:#dbdbdb;
}
/* Slutt For ny ddAutosøk */

.k-link a{
    font-weight:normal;
}

.k-input, 
.k-widget, 
.k-content{
    color:#333;
}

/* Etter bytte av bakgrunnsgrønnfarge */
.k-state-selected a{
    color:#fff;
}

/* Ikke standard grå tekst ved disabled, bare i enkelte tilfeller som da får egen klasse */
.k-state-disabled{
    opacity:1;
}

/* k-textbox får grønn hover selv om den er .k-state-disabled. Ser ut som kendo-feiltakelse. */
input.k-textbox.k-state-disabled:hover {
    border-color: #dadada !important;
}

/********* Datepicker ***********/
.k-datepicker .k-picker-wrap.k-state-focused,
.k-datepicker .k-picker-wrap.k-state-hover{
    border-color:#0e3a2e;
}

.k-datepicker .k-picker-wrap.k-state-focused{
    box-shadow:none;
}

.k-datepicker .k-state-disabled,
.k-datepicker .k-state-disabled .k-input{
    background-color:#f5f6f4;
}

.k-datepicker .k-state-disabled:hover{
    border-color:#dadada;
    background-image:none;
}

.k-calendar .k-state-focused>.k-link{
    color:#787878;
}

.k-calendar .k-state-focused>.k-link:hover {
    color: #fff;
}
/****** Slutt: Datepicker *******/

/***** Kendo kalender inne i datepicker */
.k-calendar td.k-state-focused {
    box-shadow: none !important;
}

.k-calendar .k-link.k-nav-fast.k-state-hover{
    color:#fff;
}
/****** Slutt: Datepicker *******/

/****** Flere disabled *******/
.k-numerictextbox .k-state-disabled,
.k-numerictextbox .k-state-disabled .k-input{
    background-color:#f5f6f4;
}

.k-textbox.k-state-disabled{
    background-color:#f5f6f4;
}

/******* Kendo window ***********/
.k-window {
    z-index: 98 !important; /* autosøkV2 resultatliste har z-index 99 */
}

.k-resize-se{
    width:5px; /* Window, minsket størrelse tilgjengelig for dobbeltpil i hjørnene av vinduet */
}

.k-window>.k-header{
    border:none;
}

.k-window-titlebar{
    border-color:transparent;
}

.k-window-titlebar .k-window-action:hover{
    color:inherit;
}

.k-window-title{
    font-size:14px;
}
/***** Slutt: Kendo window ******/

/********************* Kendo grid ********************************/
/* Hover farge i grid */
.k-grid tr:hover:not(.k-state-selected) {
    background-color: #ededed;
    color: #333;
}

/* Selected farge i grid */
.k-grid .k-state-selected,
.k-grid .k-state-selected:hover {
    background-color: #e1e1e0;
    color: #333;
}

.k-grid .k-state-selected a{
    color:#0e3a2e;
}

.k-grid .k-state-selected {
    border-color: #0e3a2e;
}

.k-grid td{
    white-space:nowrap;
    border-bottom-width:1px;
}

.k-grid table {
    font-size: 14px;
}

.k-grid tr .k-state-focused.k-state-selected,
.k-grid tr.k-state-selected td.k-state-focused,
.k-grid tr.k-state-selected:hover td.k-state-focused,
.k-grid tr:hover .k-state-focused,
.k-grid tr:hover .k-state-focused.k-state-selected {
    box-shadow: inset 0 0 0 1px #0e3a2e;
}

.k-grid .k-grid-norecords{
    padding: 0.5% 1%;
    width:98%;
}
/*******************************************************************/
/* Bunntekst i ordrebildet Sum faktura griden */
.k-footer-template {
    text-align: right;
}

.k-grid-footer td {
    border-bottom: none;
    color:#333;
}

/* Gruppesummeringer */
.k-grouping-row td{
    font-weight:400;
    color:#333;
}

/* Rød hake i tabeller ved endring manuelt eller via kode */
.k-dirty {
    display: none;
}

.k-grid a{
    font-weight:normal;
}

.k-grid .k-grid-content .k-button {
    padding: 1px 4px;
}

.k-grid tbody .k-button{
    min-width:unset;
}

.k-grid .k-alt {
    background-color: #ecf3f2;  /* bakgrunnsfarge linje 2 i tabell */
}

.k-grid-edit-row td {
    white-space: nowrap;
    text-overflow: ellipsis;
}
/****** Slutt Kendo grid **************/

/********** Dropdown liste ************/
.k-dropdown .k-state-hover,
.k-dropdown .k-state-hover:hover,
.k-dropdown .k-state-default.k-state-focused {
    border-color: #0e3a2e;
    background-color: transparent;
    background-image: none;
    color: #333;
}

.k-dropdown .k-state-hover>*>.k-i-arrow-s{
    background-position:0 -32px;
}

.k-dropdown .k-state-hover .k-input,
.k-dropdown .k-state-default.k-state-focused .k-input{
    color:#333;
}

.k-dropdown .k-input{
    color:#333;
}

.k-dropdown .k-state-focused .k-input{
    color:#fff; /* Valgt verdi i dropdown - markert */
}

.k-dropdown .k-state-border-down.k-state-hover .k-input,
.k-dropdown .k-state-border-up.k-state-hover .k-input,
.k-dropdown .k-state-active.k-state-hover .k-input,
.k-dropdown .k-state-default.k-state-hover .k-input{
    color:#333;
}

.k-dropdown .k-state-disabled {
    background-color: #f5f6f4;
}

.k-dropdown .k-state-disabled .k-i-arrow-s {
    background-position: 0 333px;
}

.k-list-container .k-item.k-state-selected {
    box-shadow:none;
}

.k-list-item.k-selected{
    background-color: #b0b0b0;
    border-color:transparent;
    box-shadow:0 0 0 0;
}

.k-list-scroller .k-state-selected,
.k-list-scroller .k-state-focused{
    background-color: #b0b0b0;
}
/***** Slutt: Dropdown liste *********/

/* Liste (som i Attestasjon, Bankavtaler og AutoTrans-avtaler */
.k-listview-content{
    outline:none;
}
/* Slutt: Liste (som i Attestasjon, Bankavtaler og AutoTrans-avtaler */

/******* NumericTextBox ***********/
.k-numerictextbox .k-numeric-wrap.k-state-hover {
    border-color: #0e3a2e;
    background-color: transparent;
    background-image: none;
}

.k-numerictextbox .k-numeric-wrap.k-state-focused{
    border-color:#0e3a2e;
}

.k-numerictextbox .k-numeric-wrap .k-input{
    padding:.25em 0;
}
/******* Slutt NumericTextBox ***********/

/************ Pager ******************/
.k-pager-wrap .k-link{
    font-weight:normal;
}

.k-pager-wrap{
    border:none;
}

/* Feilretting etter kendo versjon 2019SP2 */
.k-pager-wrap .k-pager-info{
    flex:none;
    order:0;
}

.k-pager-wrap.k-pager-md .k-pager-info{
    display:block;
}

/* Feilretting etter kendo 2022R1 */
.k-pager-sm .k-pager-info{
    display:block;
}

/********* Slutt: Pager **************/
/********* Filter i tabell **********/
.k-multicheck-wrap label {
    font-weight: normal;
    font-size: inherit;
}

.k-multicheck-wrap label span{ /* de enkelte valgene i lista */
    position:relative;
    top:-2px;
}

.k-multicheck-wrap .k-check-all{ /* velg alle checkboxen */
    position:relative;
    top:2px;
}

input.k-textbox,
input.k-textbox:hover{
    color:#333;
}

.k-dropdown-wrap .k-input,
.k-list-container .k-item{
    font-weight:normal;
}

.k-filter-menu .k-filter-help-text,
.k-filter-menu .k-action-buttons {
    font-weight: normal;
}

.k-filter-menu-container > span {
    margin-bottom: 5px;
}

.k-filter-menu-container .k-action-buttons {
    margin: 0;
}

.k-filter-menu-container .k-input-spinner {
    display: none;
}
/********* Slutt: Filter i tabell ****/

/********* Radiobuttons *************/
.k-radio-label{
    font-weight:normal;
    font-size:14px;
}
/****Slutt Radiobuttons *************/

/* Tooltip */
.k-tooltip{
    border-radius:3px;
    box-shadow:none;
}

.k-tooltip-content{
    text-align:left;
}

.k-tooltip-content label {
    float: left;
    margin: 0;
    font-weight: normal;
    font-size: 14px;
    color: #fff;
}

/* Treeview */
.k-treeview .k-state-hover,
.k-treeview .k-state-hover:hover {
    background-color: #ededed;
    background-image:none;
    color: #333;
}

.k-treeview{
    color:#333;
}

.k-treeview-leaf{
    padding:2px 8px;
}

/* HTML editor */
table.k-editor {
    border-spacing: 0;
}

/* Checkbox */
.checkboxInnerContainer .k-checkbox { /* Alle checkbox'er utenfor Velg kolonner og Velg felter */
    vertical-align:text-top;
    margin: 2px 5px 0 0;
}

.k-checkbox:hover,
.k-checkbox:focus {
    border-color: #0e3a2e;
}

.k-checkbox{
    margin-right:5px;
}

.flowAccessHeaderCheckbox.k-checkbox,
.flowAccessRowCheckbox.k-checkbox {
    margin-right: 5px; /* kendo checkbox i grid i samme kolonne som tekst */
}

.k-state-focused {
    box-shadow: none;
}

.k-state-hover{
    background-image:linear-gradient(0deg,transparent 0,transparent 0);
}

/* k-menu (kontekstmeny og tre prikker i tomler f.eks.) */
.k-menu-vertical > .k-menu-item+.k-menu-item{
    margin-top:0;
}

.k-menu.k-context-menu{
    padding:15px 5px 10px 5px;
}

.k-menu.k-context-menu .k-menu-link{
    padding:2px 8px;
}

.k-menu-horizontal .k-link {
    border-color: transparent;
}

.k-menu-horizontal .k-link,
.k-menu-horizontal .k-state-active.k-link,
.k-menu-horizontal .k-state-active.k-link:hover {
    background-color: #fff;
}